package com.chushang.common.core.exception.enums;

import com.chushang.common.core.web.EnumUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * by zhaowenyuan create 2022/1/6 18:00
 */
@Getter
@AllArgsConstructor
public enum ExceptionEnum implements EnumUtils.CodeEnum<String>{
    RESOURCE_EXIST(3404,"资源不存在"),
    APP_RESOURCE_EXIST(3404,"产品资源不存在"),
    PLATFORM_RESOURCE_EXIST(3404,"平台资源不存在"),
    CONVERT_ERROR(0,"json 转换错误"),
    /**
     * 数据权限不足
     */
    INSUFFICIENT_DATA_PERMISSION(401,"权限不足, 请联系管理员进行数据授权"),
    INSUFFICIENT_DATA_PERMISSION_NULL(401,"数据权限为空, 请联系管理员进行数据授权"),
    ;

    private final Integer code;

    private final String msg;
}